Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Class SeqSimilaritySearchSubHit.BySubjectStartComparator

    java.lang.Object
      org.biojava.bio.search.SeqSimilaritySearchSubHit.BySubjectStartComparator

All Implemented Interfaces:
  Comparator

Enclosing interface:
  SeqSimilaritySearchSubHit

    public static final class SeqSimilaritySearchSubHit.BySubjectStartComparator

extends Object
implements Comparator

`BySubjectStartComparator` compares `SeqSimilaritySearchSubHit`s by their start position on the subject sequence.

Constructor Summary
`SeqSimilaritySearchSubHit.BySubjectStartComparator()`

Method Summary
`int` | `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SeqSimilaritySearchSubHit.BySubjectStartComparator

    public SeqSimilaritySearchSubHit.BySubjectStartComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD